%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           redhat-certification-openstack
Version:        1.0.0
Release:        1%{?dist}
Summary:        Client-side tests for OpenStack Certification Programme

Group:          Applications/System
License:        GPLv2
URL:            http://www.redhat.com/
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  python-devel, python-setuptools
Requires:       rpm-build
Requires:       python-glanceclient
Requires:       python-novaclient
Requires:       python-neutronclient
Requires:       python-keystoneclient
Requires:       python-cinderclient
Requires:       redhat-certification

%description
Client-side tests for OpenStack Certification Programme

%prep
%setup -q

%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README
%{_sysconfdir}/redhat-certification-openstack/tempest.conf.sample
%{python_sitelib}/rhcert/suites/openstack/*.py*
%exclude %{python_sitelib}/rhcert/__init__.py*
%exclude %{python_sitelib}/rhcert/suites/__init__.py*
%{python_sitelib}/redhat_certification_openstack-*.egg-info

%changelog
* Fri Jan 30 2015 rkanade@redhat.com 1.0.0-1
- Fix README

* Thu Jan 08 2015 rkanade@redhat.com 0.2.0.20150108.beta-1
- Fix spec file for errata advisory

* Wed Jan 07 2015 rkanade@redhat.com 0.2.0.20150107.beta-1
- Fix bug in exit status check

* Tue Jan 06 2015 rkanade@redhat.com 0.2.0.20150106.beta-4
- Use built-in status message API

* Tue Jan 06 2015 rkanade@redhat.com 0.2.0.20150106.beta-3
- Fix issues related to exit

* Tue Jan 06 2015 rkanade@redhat.com 0.2.0.20150106.beta-2
- Handle exit appropriately on failures

* Tue Jan 06 2015 rkanade@redhat.com 0.2.0.20150106.beta-1
- Emit appropriate error msg in case of failures

* Wed Dec 24 2014 rkanade@redhat.com 0.2.0.20141224.beta-1
- Revert to use answers param for single select prompt

* Tue Dec 23 2014 rkanade@redhat.com 0.2.0.20141223.beta-1
- Tag test as interactive
- Use prompts correctly for multi select

* Fri Dec 19 2014 rkanade@redhat.com 0.2.0.20141219.beta-1
- Enable multiline edit via promptEdit

* Tue Dec 16 2014 rkanade@redhat.com 0.1.9.20141216.beta-1
- Fix swift service not enabled in tempest.conf

* Mon Dec 15 2014 rkanade@redhat.com 0.1.8.20141215.beta-1
- Beta-1 Release

* Mon Dec 15 2014 rkanade@redhat.com 0.1.8-1
- Fix whitespace issue in api list
- Fix duplicate item issue in api list

* Tue Dec 09 2014 rkanade@redhat.com 0.1.7-1
- Allow partner to specify supported api list

* Mon Dec 01 2014 rkanade@redhat.com 0.1.6-1
- Allow use of virtualenv to run tempest

* Mon Nov 17 2014 rkanade@redhat.com 0.1.5-1
- Add fallback cmd for sos if profiles feature doesnt exist
- Allow user to edit auto generated tempest.conf
- Allow component (Neutron, swift, cinder) specific tests

* Thu Oct 09 2014 rkanade@redhat.com 0.1.4-1
- Fix rhcert-client name change to redhat-certification
- Switch to using sos profiles instead of plugins

* Mon Sep 29 2014 rkanade@redhat.com 0.1.3-1
- Fix rhcert-client import issue
- Allow user specified tempest.conf
- Run tempest tests serially

* Thu Sep 04 2014 Rohan Kanade <rkanade@redhat.com> 0.1.2
- Fix verion issues

* Wed Sep 03 2014 Rohan Kanade <rkanade@redhat.com> 0.1.1
- Fix wrong directory path for sample tempest config file
- Fix wrong directory path for sosreport output

* Wed Aug 20 2014 Rohan Kanade <rkanade@redhat.com> 0.1
- Initial release.
